### Struct

# EBookContacts ContactPhoto

#### Description

    struct EContactPhoto {
      EContactPhotoType type;
    }

No description available.

###### Structure members

`type:` `EContactPhotoType`

  No description available.

#### Constructors

###### e_contact_photo_new

Creates a new `EContactPhoto` struct.

since: 3.2

#### Instance methods

###### e_contact_photo_copy

Creates a copy of `photo`.

since: 3.8

###### e_contact_photo_free

Frees the `photo` struct and its contents.

###### e_contact_photo_get_inlined

Gets the `photo`‘s data.

since: 3.2

###### e_contact_photo_get_mime_type

Gets the `photo`‘s mime type.

since: 3.2

###### e_contact_photo_get_uri

Gets the `photo`‘s URI.

since: 3.2

###### e_contact_photo_set_inlined

Sets the `photo`‘s inlined data.

since: 3.2

###### e_contact_photo_set_mime_type

Sets the `photo`‘s mime type.

since: 3.2

###### e_contact_photo_set_uri

Sets the `photo`‘s URI.

since: 3.2